# xsd.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/bufferedio.h>`
`#include <gwenhywfar/stringlist.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/xml.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_XSD_ENGINE | GWEN_XSD_ENGINE
typedef const void *(* | GWEN_XSD_GETBINVALUE_FN )(GWEN_XSD_ENGINE *e, const char *path, int idx, const void *defVal, unsigned int defValSize, unsigned int *returnValueSize)
typedef const char *(* | GWEN_XSD_GETCHARVALUE_FN )(GWEN_XSD_ENGINE *e, const char *path, int idx, const char *defVal)
typedef int(* | GWEN_XSD_GETINTVALUE_FN )(GWEN_XSD_ENGINE *e, const char *path, int idx, int defVal)

## Functions

void | GWEN_XSD_free (GWEN_XSD_ENGINE *e)
const void * | GWEN_XSD_GetBinValue (GWEN_XSD_ENGINE *e, const char *path, int idx, const void *defVal, unsigned int defValSize, unsigned int *returnValueSize)
const char * | GWEN_XSD_GetCharValue (GWEN_XSD_ENGINE *e, const char *path, int idx, const char *defVal)
const char * | GWEN_XSD_GetCurrentTargetNameSpace (const GWEN_XSD_ENGINE *e)
int | GWEN_XSD_GetIntValue (GWEN_XSD_ENGINE *e, const char *path, int idx, int defVal)
int | GWEN_XSD_GlobalizeNode (GWEN_XSD_ENGINE *e, GWEN_XMLNODE *node)
int | GWEN_XSD_ImportEnd (GWEN_XSD_ENGINE *e)
int | GWEN_XSD_ImportSchema (GWEN_XSD_ENGINE *e, GWEN_XMLNODE *xmlNode, const char *fname)
int | GWEN_XSD_ImportStart (GWEN_XSD_ENGINE *e)
GWEN_XSD_ENGINE * | GWEN_XSD_new ()
int | GWEN_XSD_ProfileFromXml (GWEN_XSD_ENGINE *e, GWEN_XMLNODE *nRoot)
int | GWEN_XSD_ProfileToXml (GWEN_XSD_ENGINE *e, GWEN_XMLNODE *n)
int | GWEN_XSD_SetCurrentTargetNameSpace (GWEN_XSD_ENGINE *e, const char *s)
int | GWEN_XSD_SetNamespace (GWEN_XSD_ENGINE *e, const char *prefix, const char *name, const char *url, const char *localUrl)

## Typedef Documentation

typedef struct GWEN_XSD_ENGINE GWEN_XSD_ENGINE

typedef const void*(* GWEN_XSD_GETBINVALUE_FN)(GWEN_XSD_ENGINE *e, const char *path, int idx, const void *defVal, unsigned int defValSize, unsigned int *returnValueSize)

typedef const char*(* GWEN_XSD_GETCHARVALUE_FN)(GWEN_XSD_ENGINE *e, const char *path, int idx, const char *defVal)

typedef int(* GWEN_XSD_GETINTVALUE_FN)(GWEN_XSD_ENGINE *e, const char *path, int idx, int defVal)

## Function Documentation

void GWEN_XSD_free | ( | GWEN_XSD_ENGINE * | e | ) |

const void* GWEN_XSD_GetBinValue | ( | GWEN_XSD_ENGINE * | e,
|  | const char * | path,
|  | int | idx,
|  | const void * | defVal,
|  | unsigned int | defValSize,
|  | unsigned int * | returnValueSize
| ) |

const char* GWEN_XSD_GetCharValue | ( | GWEN_XSD_ENGINE * | e,
|  | const char * | path,
|  | int | idx,
|  | const char * | defVal
| ) |

const char* GWEN_XSD_GetCurrentTargetNameSpace | ( | const GWEN_XSD_ENGINE * | e | ) |

int GWEN_XSD_GetIntValue | ( | GWEN_XSD_ENGINE * | e,
|  | const char * | path,
|  | int | idx,
|  | int | defVal
| ) |

int GWEN_XSD_GlobalizeNode | ( | GWEN_XSD_ENGINE * | e,
|  | GWEN_XMLNODE * | node
| ) |

int GWEN_XSD_ImportEnd | ( | GWEN_XSD_ENGINE * | e | ) |

int GWEN_XSD_ImportSchema | ( | GWEN_XSD_ENGINE * | e,
|  | GWEN_XMLNODE * | xmlNode,
|  | const char * | fname
| ) |

int GWEN_XSD_ImportStart | ( | GWEN_XSD_ENGINE * | e | ) |

GWEN_XSD_ENGINE* GWEN_XSD_new | ( |  | ) |

int GWEN_XSD_ProfileFromXml | ( | GWEN_XSD_ENGINE * | e,
|  | GWEN_XMLNODE * | nRoot
| ) |

int GWEN_XSD_ProfileToXml | ( | GWEN_XSD_ENGINE * | e,
|  | GWEN_XMLNODE * | n
| ) |

int GWEN_XSD_SetCurrentTargetNameSpace | ( | GWEN_XSD_ENGINE * | e,
|  | const char * | s
| ) |

int GWEN_XSD_SetNamespace | ( | GWEN_XSD_ENGINE * | e,
|  | const char * | prefix,
|  | const char * | name,
|  | const char * | url,
|  | const char * | localUrl
| ) |